<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-11 12:09:31
 * 文件不允许修改，自动生成
 */

namespace common\table\bms_alarm;

class JdzBatteryAlarmStatis{
    public static function tableName()
    {
        return '{{jdz_battery_alarm_statis}}';
    }
                
    /**
     * ------------ 字段 id 
     * ------------ 表字段注释: 
     */
    public function filterById($val): self
    {
        $this->filterByColumn("id", $val);
        return $this;
    }

    public function setId($val): self
    {
        $this->setAttr("id", $val);
        return $this;
    }

    public function getId()
    {
        return $this->id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 battery_sn 
     * ------------ 表字段注释: 
     */
    public function filterByBatterySn($val): self
    {
        $this->filterByColumn("battery_sn", $val);
        return $this;
    }

    public function setBatterySn($val): self
    {
        $this->setAttr("battery_sn", $val);
        return $this;
    }

    public function getBatterySn()
    {
        return $this->battery_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 main_admin_id 
     * ------------ 表字段注释: 
     */
    public function filterByMainAdminId($val): self
    {
        $this->filterByColumn("main_admin_id", $val);
        return $this;
    }

    public function setMainAdminId($val): self
    {
        $this->setAttr("main_admin_id", $val);
        return $this;
    }

    public function getMainAdminId()
    {
        return $this->main_admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 user_id 
     * ------------ 表字段注释: 
     */
    public function filterByUserId($val): self
    {
        $this->filterByColumn("user_id", $val);
        return $this;
    }

    public function setUserId($val): self
    {
        $this->setAttr("user_id", $val);
        return $this;
    }

    public function getUserId()
    {
        return $this->user_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 date 
     * ------------ 表字段注释: 
     */
    public function filterByDate($val): self
    {
        $this->filterByColumn("date", $val);
        return $this;
    }

    public function setDate($val): self
    {
        $this->setAttr("date", $val);
        return $this;
    }

    public function getDate()
    {
        return $this->date ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 year 
     * ------------ 表字段注释: 
     */
    public function filterByYear($val): self
    {
        $this->filterByColumn("year", $val);
        return $this;
    }

    public function setYear($val): self
    {
        $this->setAttr("year", $val);
        return $this;
    }

    public function getYear()
    {
        return $this->year ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 month 
     * ------------ 表字段注释: 
     */
    public function filterByMonth($val): self
    {
        $this->filterByColumn("month", $val);
        return $this;
    }

    public function setMonth($val): self
    {
        $this->setAttr("month", $val);
        return $this;
    }

    public function getMonth()
    {
        return $this->month ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 day 
     * ------------ 表字段注释: 
     */
    public function filterByDay($val): self
    {
        $this->filterByColumn("day", $val);
        return $this;
    }

    public function setDay($val): self
    {
        $this->setAttr("day", $val);
        return $this;
    }

    public function getDay()
    {
        return $this->day ?? null;
    }
    // ---------------------------------------------
    
}
